commit:     8f22de3353d2ebaad1cd2f50a738212c217e5b65
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 19 06:28:01 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jun 19 06:43:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f22de33

sys-fs/lxcfs: bump to 4.0.4

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-fs/lxcfs/Manifest           |  1 +
 sys-fs/lxcfs/lxcfs-4.0.4.ebuild | 48 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/sys-fs/lxcfs/Manifest b/sys-fs/lxcfs/Manifest
index 699568b0724..e9d5038efe9 100644
--- a/sys-fs/lxcfs/Manifest
+++ b/sys-fs/lxcfs/Manifest
@@ -1,2 +1,3 @@
 DIST lxcfs-3.0.3.tar.gz 49824 BLAKE2B 
02e3a0a6f4fd515924c5f038f00d664ef347c9b685e6561334b460e0ce0ce5580aca67f33df56b44b9cdafa4953f4f92843662f3516e1c923f9242388b17dbc6
 SHA512 
d994e1dd85f499eba2847d33870281a4bcaf4466e2c8f7acb065f4f3d5688b93b775c486bc6db571e64d09a3567710b0c816e12555ffb3e3e50f81bc7f5f6be6
 DIST lxcfs-4.0.3.tar.gz 100719 BLAKE2B 
24371b921ad635f97c51ac8406c949e81330ae358b0166c2af295cb1f630594bb72da802aad41971c11303f393fd05bc9f1b109bd4da4953db2c3bb7e5189315
 SHA512 
0aaedfe826d982b9464dfb60fb57c58e34ea6022b8503bc858538b6634dc7d0845f65832d6f814043dbc0677f887e1b559549a8f3865c755970c6b47ba65eb2b
+DIST lxcfs-4.0.4.tar.gz 101546 BLAKE2B 
1e84e3b75bfb39273539ea72f941442cc3c8574c0f55359a38edc04a98a45ea8680f9bf49c5974decf180a8ecf07cadccf4e732d1743c070a740c78b773a3ee8
 SHA512 
15bcebecc815310870aea58d995d605444b57583b7f1bb2d35b065256ea5f70b071d58887fbf1ca124ea84da99151bbd9dffcca37a2e151677d56229dc8961ce

diff --git a/sys-fs/lxcfs/lxcfs-4.0.4.ebuild b/sys-fs/lxcfs/lxcfs-4.0.4.ebuild
new file mode 100644
index 00000000000..f1d2fdcd767
--- /dev/null
+++ b/sys-fs/lxcfs/lxcfs-4.0.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="FUSE filesystem for LXC"
+HOMEPAGE="https://linuxcontainers.org/lxcfs/introduction/ 
https://github.com/lxc/lxcfs/";
+SRC_URI="https://github.com/lxc/lxcfs/archive/${P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-libs/glib:2
+       sys-fs/fuse:0"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-apps/help2man"
+
+RESTRICT="test"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # Without the localstatedir the filesystem isn't mounted correctly
+       # Without with-distro ./configure will fail when cross-compiling
+       econf --localstatedir=/var --with-distro=gentoo
+}
+
+src_test() {
+       cd tests/ || die
+       emake tests
+       ./main.sh || die "Tests failed"
+}
+
+src_install() {
+       default
+
+       newconfd "${FILESDIR}"/lxcfs-4.0.0.confd lxcfs
+       newinitd "${FILESDIR}"/lxcfs-4.0.0.initd lxcfs
+       systemd_dounit config/init/systemd/lxcfs.service
+}

Reply via email to